%define url_ver %(echo %{version} | cut -d. -f1,2)

# fix COPR builds
%{?!_metainfodir:%global _metainfodir %_datadir/metainfo}

Summary:	A picture viewer for the Xfce desktop environment
Name:		ristretto
Version:	0.13.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphics/Viewers
URL:		https://docs.xfce.org/apps/ristretto/start
Source0:	https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
Requires:	hicolor-icon-theme
Requires:	xfconf
Requires:	tumbler

%description
Ristretto is a fast and lightweight picture-viewer for the
Xfce desktop environment.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS README* ChangeLog
%{_bindir}/ristretto
%{_datadir}/applications/org.xfce.ristretto.desktop
%{_metainfodir}/org.xfce.ristretto.appdata.xml
%{_iconsdir}/hicolor/*/apps/org.xfce.ristretto.{png,svg}


%changelog
* Mon Feb 05 2024 wally <wally> 0.13.2-1.mga10
+ Revision: 2037361
- new version 0.13.2

* Wed May 31 2023 wally <wally> 0.13.1-1.mga9
+ Revision: 1960116
- new version 0.13.1

* Fri Feb 10 2023 wally <wally> 0.13.0-1.mga9
+ Revision: 1940005
- new version 0.13.0

* Fri Dec 16 2022 wally <wally> 0.12.4-1.mga9
+ Revision: 1923768
- new version 0.12.4

* Sun Jul 10 2022 wally <wally> 0.12.3-1.mga9
+ Revision: 1868262
- new version 0.12.3

* Sun Apr 03 2022 umeabot <umeabot> 0.12.2-2.mga9
+ Revision: 1841754
- Mageia 9 Mass Rebuild

* Fri Jan 14 2022 wally <wally> 0.12.2-1.mga9
+ Revision: 1768311
- new version 0.12.2

* Tue Nov 30 2021 wally <wally> 0.12.1-1.mga9
+ Revision: 1760127
- new version 0.12.1

* Mon Oct 11 2021 wally <wally> 0.12.0-1.mga9
+ Revision: 1750581
- new version 0.12.0

* Wed Jun 16 2021 wally <wally> 0.11.0-1.mga9
+ Revision: 1730924
- new version 0.11.0

* Sat Feb 15 2020 umeabot <umeabot> 0.10.0-2.mga8
+ Revision: 1528136
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Aug 10 2019 wally <wally> 0.10.0-1.mga8
+ Revision: 1428611
- new version 0.10.0
- switch to gtk3

* Fri Jul 19 2019 wally <wally> 0.8.5-1.mga8
+ Revision: 1422738
- new version 0.8.5

* Mon Apr 08 2019 wally <wally> 0.8.4-1.mga7
+ Revision: 1386806
- new version 0.8.4

* Sun Sep 23 2018 umeabot <umeabot> 0.8.3-2.mga7
+ Revision: 1300834
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 wally <wally> 0.8.3-1.mga7
+ Revision: 1242443
- new version 0.8.3

* Sun Oct 08 2017 wally <wally> 0.8.2-2.mga7
+ Revision: 1170247
- rebuild for new xfconf

* Wed Feb 01 2017 wally <wally> 0.8.2-1.mga6
+ Revision: 1084484
- new version 0.8.2

* Fri Oct 07 2016 wally <wally> 0.8.1-1.mga6
+ Revision: 1059340
- new version 0.8.1
- drop upstreamed patches

* Tue Feb 09 2016 umeabot <umeabot> 0.8.0-2.mga6
+ Revision: 952432
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 0.8.0-1.mga5
+ Revision: 817408
- new version 0.8.0
- add patches from upstream git to fix appdata file validation (xfce#11622) and icon installation path (xfce#11614)

* Wed Oct 15 2014 umeabot <umeabot> 0.6.3-6.mga5
+ Revision: 742662
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.3-5.mga5
+ Revision: 688676
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 wally <wally> 0.6.3-4.mga5
+ Revision: 585382
- require hicolor-icon-theme

* Fri Oct 18 2013 umeabot <umeabot> 0.6.3-3.mga4
+ Revision: 521791
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 0.6.3-2.mga3
+ Revision: 391902
- update rpm group
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 wally <wally> 0.6.3-1.mga3
+ Revision: 279194
- new version 0.6.3

* Tue Jul 31 2012 shlomif <shlomif> 0.6.2-1.mga3
+ Revision: 276758
- New version 0.6.2 - thanks to fedya

* Thu May 31 2012 wally <wally> 0.6.0-2.mga3
+ Revision: 252507
- fix segfault when image-quality property is changed (patch from upstream git)

* Mon May 28 2012 wally <wally> 0.6.0-1.mga3
+ Revision: 248513
- new version 0.6.0
- clean .spec

* Sun Mar 04 2012 wally <wally> 0.3.5-2.mga2
+ Revision: 217863
- require tumbler to get working thumbnails view

* Sat Mar 03 2012 wally <wally> 0.3.5-1.mga2
+ Revision: 217355
- new version 0.3.5

* Sat Mar 03 2012 fwang <fwang> 0.3.4-1.mga2
+ Revision: 217168
- new version 0.3.4

* Sat Jan 14 2012 wally <wally> 0.3.1-1.mga2
+ Revision: 196000
- new version 0.3.1

* Sun Nov 06 2011 wally <wally> 0.3.0-1.mga2
+ Revision: 164487
- new version 0.3.0
- clean BRs and use pkgconfig() if possible
- remove buildroot definition

* Wed Jul 06 2011 dams <dams> 0.0.93-1.mga2
+ Revision: 119412
- Update to 0.0.93

* Wed Mar 16 2011 steletch <steletch> 0.0.91-3.mga1
+ Revision: 72845
- Clean spec file
+ ennael <ennael>
- imported package ristretto


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.91-3mdv2011.0
+ Revision: 633050
- rebuild for new Xfce 4.8.0

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.91-2mdv2011.0
+ Revision: 579682
- rebuild for new xfce 4.7.0
- adjust buildrequires

* Sat Jul 31 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.91-1mdv2011.0
+ Revision: 564037
- update to new version 0.0.91
- drop patch 0

* Thu Feb 25 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.22-2mdv2010.1
+ Revision: 511212
- Patch0: fix crash with gif images

* Sat May 16 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.22-1mdv2010.0
+ Revision: 376450
- update to new version 0.0.22

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.21-2mdv2009.1
+ Revision: 349167
- rebuild whole xfce

* Sat Nov 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.21-1mdv2009.1
+ Revision: 307792
- update to new version 0.0.21
- add support for xfconf
- drop patch 0 and 1, fixed upstream

* Sat Nov 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.20-5mdv2009.1
+ Revision: 301087
- Patch1: fix memleak

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.20-4mdv2009.1
+ Revision: 294926
- rebuild for new Xfce4.6 beta1

* Sat Aug 09 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.20-3mdv2009.0
+ Revision: 270024
- Patch0: fix ristretto crash on adjusting image size

* Fri Jul 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.20-2mdv2009.0
+ Revision: 238069
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 25 2008 Funda Wang <fwang@mandriva.org> 0.0.20-1mdv2009.0
+ Revision: 211112
- New version 0.0.20

* Sun May 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.19-1mdv2009.0
+ Revision: 205572
- new version

* Fri Apr 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.18-2mdv2009.0
+ Revision: 192579
- drop ristretto-import.sh script as it doesn't work properly, use gthumb instead

* Wed Mar 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.18-1mdv2008.1
+ Revision: 190230
- new version

* Wed Mar 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.17-2mdv2008.1
+ Revision: 187108
- add wrapper script which searches removeable media for graphic files and displays them
 this script is going to be executed when a digital camera or similiar device is connected to the usb port

* Mon Feb 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.17-1mdv2008.1
+ Revision: 170061
- new version

* Mon Jan 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.16-1mdv2008.1
+ Revision: 159155
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.15-1mdv2008.1
+ Revision: 117017
- new version

* Sun Dec 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.14-1mdv2008.1
+ Revision: 114367
- new version

* Sun Nov 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.13-1mdv2008.1
+ Revision: 111931
- new version

* Sat Nov 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.12-1mdv2008.1
+ Revision: 109479
- new version

* Wed Nov 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.11-1mdv2008.1
+ Revision: 106759
- new version

* Sun Nov 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.10-1mdv2008.1
+ Revision: 105606
- fix buildrequires
- new version
- new license policy

* Tue Oct 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.9-1mdv2008.1
+ Revision: 98775
- new version

* Thu Oct 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.7-1mdv2008.0
+ Revision: 95350
- new version

* Sun Sep 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.6-1mdv2008.0
+ Revision: 94000
- add missing buildrequires on libexif-devel
- new version

* Fri Sep 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.5-1mdv2008.0
+ Revision: 85527
- new version
- new version

* Mon Sep 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.3-1mdv2008.0
+ Revision: 78567
- new version

* Thu Aug 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.2-1mdv2008.0
+ Revision: 75402
- new version
- add docs

* Tue Aug 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-1mdv2008.0
+ Revision: 72305
- make it work
- Import ristretto

